### Method

# WebKit2WebExtension Frame get_javascript_context_for_script_world

#### Declaration [src]

    JSGlobalContextRef
    webkit_frame_get_javascript_context_for_script_world (
      WebKitFrame* frame,
      WebKitScriptWorld* world
    )

#### Description [src]

Gets the JavaScript execution context of `frame` for the given `WebKitScriptWorld`.

Available since: | 2.2
Deprecated since: | 2.22
Use `webkit_frame_get_js_context_for_script_world()` instead.
This method is not directly available to language bindings.

#### Parameters

`world` | `WebKitScriptWorld`
| A `WebKitScriptWorld`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `JSGlobalContextRef`
| The JavaScript context of `frame` for `world`.